Index: uspace/srv/fs/exfat/exfat_bitmap.c
===================================================================
--- uspace/srv/fs/exfat/exfat_bitmap.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/exfat/exfat_bitmap.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -48,5 +48,5 @@
 
 
-errno_t exfat_bitmap_is_free(exfat_bs_t *bs, service_id_t service_id, 
+int exfat_bitmap_is_free(exfat_bs_t *bs, service_id_t service_id, 
     exfat_cluster_t clst)
 {
@@ -55,5 +55,5 @@
 	exfat_node_t *bitmapp;
 	uint8_t *bitmap;
-	errno_t rc;
+	int rc;
 	bool alloc;
 
@@ -89,5 +89,5 @@
 }
 
-errno_t exfat_bitmap_set_cluster(exfat_bs_t *bs, service_id_t service_id, 
+int exfat_bitmap_set_cluster(exfat_bs_t *bs, service_id_t service_id, 
     exfat_cluster_t clst)
 {
@@ -96,5 +96,5 @@
 	exfat_node_t *bitmapp;
 	uint8_t *bitmap;
-	errno_t rc;
+	int rc;
 
 	clst -= EXFAT_CLST_FIRST;
@@ -124,5 +124,5 @@
 }
 
-errno_t exfat_bitmap_clear_cluster(exfat_bs_t *bs, service_id_t service_id, 
+int exfat_bitmap_clear_cluster(exfat_bs_t *bs, service_id_t service_id, 
     exfat_cluster_t clst)
 {
@@ -131,5 +131,5 @@
 	exfat_node_t *bitmapp;
 	uint8_t *bitmap;
-	errno_t rc;
+	int rc;
 
 	clst -= EXFAT_CLST_FIRST;
@@ -160,8 +160,8 @@
 }
 
-errno_t exfat_bitmap_set_clusters(exfat_bs_t *bs, service_id_t service_id, 
+int exfat_bitmap_set_clusters(exfat_bs_t *bs, service_id_t service_id, 
     exfat_cluster_t firstc, exfat_cluster_t count)
 {
-	errno_t rc;
+	int rc;
 	exfat_cluster_t clst;
 	clst = firstc;
@@ -180,8 +180,8 @@
 }
 
-errno_t exfat_bitmap_clear_clusters(exfat_bs_t *bs, service_id_t service_id, 
+int exfat_bitmap_clear_clusters(exfat_bs_t *bs, service_id_t service_id, 
     exfat_cluster_t firstc, exfat_cluster_t count)
 {
-	errno_t rc;
+	int rc;
 	exfat_cluster_t clst;
 	clst = firstc;
@@ -196,5 +196,5 @@
 }
 
-errno_t exfat_bitmap_alloc_clusters(exfat_bs_t *bs, service_id_t service_id, 
+int exfat_bitmap_alloc_clusters(exfat_bs_t *bs, service_id_t service_id, 
     exfat_cluster_t *firstc, exfat_cluster_t count)
 {
@@ -217,5 +217,5 @@
 
 
-errno_t exfat_bitmap_append_clusters(exfat_bs_t *bs, exfat_node_t *nodep, 
+int exfat_bitmap_append_clusters(exfat_bs_t *bs, exfat_node_t *nodep, 
     exfat_cluster_t count)
 {
@@ -240,5 +240,5 @@
 
 
-errno_t exfat_bitmap_free_clusters(exfat_bs_t *bs, exfat_node_t *nodep, 
+int exfat_bitmap_free_clusters(exfat_bs_t *bs, exfat_node_t *nodep, 
     exfat_cluster_t count)
 {
@@ -251,7 +251,7 @@
 
 
-errno_t exfat_bitmap_replicate_clusters(exfat_bs_t *bs, exfat_node_t *nodep)
-{
-	errno_t rc;
+int exfat_bitmap_replicate_clusters(exfat_bs_t *bs, exfat_node_t *nodep)
+{
+	int rc;
 	exfat_cluster_t lastc, clst;
 	service_id_t service_id = nodep->idx->service_id;
Index: uspace/srv/fs/exfat/exfat_bitmap.h
===================================================================
--- uspace/srv/fs/exfat/exfat_bitmap.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/exfat/exfat_bitmap.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -42,20 +42,20 @@
 struct exfat_bs;
 
-extern errno_t exfat_bitmap_alloc_clusters(struct exfat_bs *, service_id_t,
+extern int exfat_bitmap_alloc_clusters(struct exfat_bs *, service_id_t, 
     exfat_cluster_t *, exfat_cluster_t);
-extern errno_t exfat_bitmap_append_clusters(struct exfat_bs *, struct exfat_node *,
+extern int exfat_bitmap_append_clusters(struct exfat_bs *, struct exfat_node *, 
     exfat_cluster_t);
-extern errno_t exfat_bitmap_free_clusters(struct exfat_bs *, struct exfat_node *,
+extern int exfat_bitmap_free_clusters(struct exfat_bs *, struct exfat_node *, 
     exfat_cluster_t);
-extern errno_t exfat_bitmap_replicate_clusters(struct exfat_bs *, struct exfat_node *);
+extern int exfat_bitmap_replicate_clusters(struct exfat_bs *, struct exfat_node *); 
 
-extern errno_t exfat_bitmap_is_free(struct exfat_bs *, service_id_t, exfat_cluster_t);
-extern errno_t exfat_bitmap_set_cluster(struct exfat_bs *, service_id_t, exfat_cluster_t);
-extern errno_t exfat_bitmap_clear_cluster(struct exfat_bs *, service_id_t,
+extern int exfat_bitmap_is_free(struct exfat_bs *, service_id_t, exfat_cluster_t);
+extern int exfat_bitmap_set_cluster(struct exfat_bs *, service_id_t, exfat_cluster_t);
+extern int exfat_bitmap_clear_cluster(struct exfat_bs *, service_id_t, 
     exfat_cluster_t);
 
-extern errno_t exfat_bitmap_set_clusters(struct exfat_bs *, service_id_t,
+extern int exfat_bitmap_set_clusters(struct exfat_bs *, service_id_t, 
     exfat_cluster_t, exfat_cluster_t);
-extern errno_t exfat_bitmap_clear_clusters(struct exfat_bs *, service_id_t,
+extern int exfat_bitmap_clear_clusters(struct exfat_bs *, service_id_t, 
     exfat_cluster_t, exfat_cluster_t);
 
Index: uspace/srv/fs/exfat/exfat_directory.c
===================================================================
--- uspace/srv/fs/exfat/exfat_directory.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/exfat/exfat_directory.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -60,5 +60,5 @@
 }
 
-errno_t exfat_directory_open(exfat_node_t *nodep, exfat_directory_t *di)
+int exfat_directory_open(exfat_node_t *nodep, exfat_directory_t *di)
 {
 	exfat_directory_init(di);
@@ -76,5 +76,5 @@
 }
 
-errno_t exfat_directory_open_parent(exfat_directory_t *di, 
+int exfat_directory_open_parent(exfat_directory_t *di, 
     service_id_t service_id, exfat_cluster_t firstc, bool fragmented)
 {
@@ -88,7 +88,7 @@
 }
 
-errno_t exfat_directory_close(exfat_directory_t *di)
-{
-	errno_t rc = EOK;
+int exfat_directory_close(exfat_directory_t *di)
+{
+	int rc = EOK;
 	
 	if (di->b) {
@@ -100,8 +100,8 @@
 }
 
-static errno_t exfat_directory_block_load(exfat_directory_t *di)
+static int exfat_directory_block_load(exfat_directory_t *di)
 {
 	uint32_t i;
-	errno_t rc = EOK;
+	int rc = EOK;
 
 	i = (di->pos * sizeof(exfat_dentry_t)) / BPS(di->bs);
@@ -133,7 +133,7 @@
 }
 
-errno_t exfat_directory_next(exfat_directory_t *di)
-{
-	errno_t rc;
+int exfat_directory_next(exfat_directory_t *di)
+{
+	int rc;
 
 	di->pos += 1;
@@ -145,7 +145,7 @@
 }
 
-errno_t exfat_directory_prev(exfat_directory_t *di)
-{
-	errno_t rc = EOK;
+int exfat_directory_prev(exfat_directory_t *di)
+{
+	int rc = EOK;
 	
 	if (di->pos > 0) {
@@ -161,8 +161,8 @@
 }
 
-errno_t exfat_directory_seek(exfat_directory_t *di, aoff64_t pos)
+int exfat_directory_seek(exfat_directory_t *di, aoff64_t pos)
 {
 	aoff64_t _pos = di->pos;
-	errno_t rc;
+	int rc;
 
 	di->pos = pos;
@@ -174,7 +174,7 @@
 }
 
-errno_t exfat_directory_get(exfat_directory_t *di, exfat_dentry_t **d)
-{
-	errno_t rc;
+int exfat_directory_get(exfat_directory_t *di, exfat_dentry_t **d)
+{
+	int rc;
 	
 	rc = exfat_directory_block_load(di);
@@ -187,5 +187,5 @@
 }
 
-errno_t exfat_directory_find(exfat_directory_t *di, exfat_dentry_clsf_t type,
+int exfat_directory_find(exfat_directory_t *di, exfat_dentry_clsf_t type,
     exfat_dentry_t **d)
 {
@@ -201,9 +201,9 @@
 }
 
-errno_t
+int
 exfat_directory_find_continue(exfat_directory_t *di, exfat_dentry_clsf_t type,
     exfat_dentry_t **d)
 {
-	errno_t rc;
+	int rc;
 	rc = exfat_directory_next(di);
 	if (rc != EOK)
@@ -213,11 +213,10 @@
 
 
-errno_t exfat_directory_read_file(exfat_directory_t *di, char *name, size_t size, 
+int exfat_directory_read_file(exfat_directory_t *di, char *name, size_t size, 
     exfat_file_dentry_t *df, exfat_stream_dentry_t *ds)
 {
 	uint16_t wname[EXFAT_FILENAME_LEN + 1];
 	exfat_dentry_t *d = NULL;
-	errno_t rc;
-	int i;
+	int rc, i;
 	size_t offset = 0;
 	aoff64_t start_pos = 0;
@@ -261,10 +260,10 @@
 }
 
-errno_t exfat_directory_read_vollabel(exfat_directory_t *di, char *label,
+int exfat_directory_read_vollabel(exfat_directory_t *di, char *label,
     size_t size)
 {
 	uint16_t wlabel[EXFAT_VOLLABEL_LEN + 1];
 	exfat_dentry_t *d = NULL;
-	errno_t rc;
+	int rc;
 	aoff64_t start_pos = 0;
 
@@ -303,9 +302,8 @@
 }
 
-errno_t exfat_directory_sync_file(exfat_directory_t *di, exfat_file_dentry_t *df, 
+int exfat_directory_sync_file(exfat_directory_t *di, exfat_file_dentry_t *df, 
     exfat_stream_dentry_t *ds)
 {
-	errno_t rc;
-	int i, count;
+	int rc, i, count;
 	exfat_dentry_t *array = NULL, *de;
 	aoff64_t pos = di->pos;
@@ -367,5 +365,5 @@
 }
 
-errno_t exfat_directory_write_file(exfat_directory_t *di, const char *name)
+int exfat_directory_write_file(exfat_directory_t *di, const char *name)
 {
 	fs_node_t *fn;
@@ -374,6 +372,5 @@
 	exfat_dentry_t df, ds, *de;
 	uint16_t wname[EXFAT_FILENAME_LEN + 1];
-	errno_t rc;
-	int i;
+	int rc, i;
 	size_t uctable_chars, j;
 	aoff64_t pos;
@@ -474,8 +471,7 @@
 }
 
-errno_t exfat_directory_erase_file(exfat_directory_t *di, aoff64_t pos)
-{
-	errno_t rc;
-	int count;
+int exfat_directory_erase_file(exfat_directory_t *di, aoff64_t pos)
+{
+	int rc, count;
 	exfat_dentry_t *de;
 
@@ -502,7 +498,7 @@
 }
 
-errno_t exfat_directory_expand(exfat_directory_t *di)
-{
-	errno_t rc;
+int exfat_directory_expand(exfat_directory_t *di)
+{
+	int rc;
 
 	if (!di->nodep)
@@ -521,7 +517,7 @@
 }
 
-errno_t exfat_directory_lookup_free(exfat_directory_t *di, size_t count)
-{
-	errno_t rc;
+int exfat_directory_lookup_free(exfat_directory_t *di, size_t count)
+{
+	int rc;
 	exfat_dentry_t *d;
 	size_t found;
Index: uspace/srv/fs/exfat/exfat_directory.h
===================================================================
--- uspace/srv/fs/exfat/exfat_directory.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/exfat/exfat_directory.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -29,5 +29,5 @@
 /** @addtogroup fs
  * @{
- */
+ */ 
 
 #ifndef EXFAT_EXFAT_DIRECTORY_H_
@@ -55,30 +55,30 @@
 
 extern void exfat_directory_init(exfat_directory_t *);
-extern errno_t exfat_directory_open(exfat_node_t *, exfat_directory_t *);
-extern errno_t exfat_directory_open_parent(exfat_directory_t *, service_id_t,
+extern int exfat_directory_open(exfat_node_t *, exfat_directory_t *);
+extern int exfat_directory_open_parent(exfat_directory_t *, service_id_t,
     exfat_cluster_t, bool);
-extern errno_t exfat_directory_close(exfat_directory_t *);
+extern int exfat_directory_close(exfat_directory_t *);
 
-extern errno_t exfat_directory_next(exfat_directory_t *);
-extern errno_t exfat_directory_prev(exfat_directory_t *);
-extern errno_t exfat_directory_seek(exfat_directory_t *, aoff64_t);
-extern errno_t exfat_directory_get(exfat_directory_t *, exfat_dentry_t **);
-extern errno_t exfat_directory_find(exfat_directory_t *, exfat_dentry_clsf_t,
+extern int exfat_directory_next(exfat_directory_t *);
+extern int exfat_directory_prev(exfat_directory_t *);
+extern int exfat_directory_seek(exfat_directory_t *, aoff64_t);
+extern int exfat_directory_get(exfat_directory_t *, exfat_dentry_t **);
+extern int exfat_directory_find(exfat_directory_t *, exfat_dentry_clsf_t,
     exfat_dentry_t **);
-extern errno_t exfat_directory_find_continue(exfat_directory_t *,
+extern int exfat_directory_find_continue(exfat_directory_t *, 
     exfat_dentry_clsf_t, exfat_dentry_t **);
 
-extern errno_t exfat_directory_read_file(exfat_directory_t *, char *, size_t,
+extern int exfat_directory_read_file(exfat_directory_t *, char *, size_t,
     exfat_file_dentry_t *, exfat_stream_dentry_t *);
-extern errno_t exfat_directory_read_vollabel(exfat_directory_t *, char *, size_t);
-extern errno_t exfat_directory_sync_file(exfat_directory_t *, exfat_file_dentry_t *,
+extern int exfat_directory_read_vollabel(exfat_directory_t *, char *, size_t);
+extern int exfat_directory_sync_file(exfat_directory_t *, exfat_file_dentry_t *,
     exfat_stream_dentry_t *);
-extern errno_t exfat_directory_write_file(exfat_directory_t *, const char *);
-extern errno_t exfat_directory_erase_file(exfat_directory_t *, aoff64_t);
+extern int exfat_directory_write_file(exfat_directory_t *, const char *);
+extern int exfat_directory_erase_file(exfat_directory_t *, aoff64_t);
 
 
-extern errno_t exfat_directory_expand(exfat_directory_t *);
-extern errno_t exfat_directory_lookup_free(exfat_directory_t *, size_t);
-extern errno_t exfat_directory_print(exfat_directory_t *);
+extern int exfat_directory_expand(exfat_directory_t *);
+extern int exfat_directory_lookup_free(exfat_directory_t *, size_t);
+extern int exfat_directory_print(exfat_directory_t *);
 
 
Index: uspace/srv/fs/exfat/exfat_fat.c
===================================================================
--- uspace/srv/fs/exfat/exfat_fat.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/exfat/exfat_fat.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -71,7 +71,7 @@
  * @param max_clusters	Maximum number of clusters to visit.
  *
- * @return		EOK on success or an error code.
- */
-errno_t
+ * @return		EOK on success or a negative error code.
+ */
+int
 exfat_cluster_walk(exfat_bs_t *bs, service_id_t service_id, 
     exfat_cluster_t firstc, exfat_cluster_t *lastc, uint32_t *numc,
@@ -80,5 +80,5 @@
 	uint32_t clusters = 0;
 	exfat_cluster_t clst = firstc;
-	errno_t rc;
+	int rc;
 
 	if (firstc < EXFAT_CLST_FIRST) {
@@ -120,7 +120,7 @@
  * @param flags		Flags passed to libblock.
  *
- * @return		EOK on success or an error code.
- */
-errno_t
+ * @return		EOK on success or a negative error code.
+ */
+int
 exfat_block_get(block_t **block, exfat_bs_t *bs, exfat_node_t *nodep,
     aoff64_t bn, int flags)
@@ -129,5 +129,5 @@
 	exfat_cluster_t currc = 0;
 	aoff64_t relbn = bn;
-	errno_t rc;
+	int rc;
 
 	if (!nodep->size)
@@ -184,7 +184,7 @@
  * @param flags		Flags passed to libblock.
  *
- * @return		EOK on success or an error code.
- */
-errno_t
+ * @return		EOK on success or a negative error code.
+ */
+int
 exfat_block_get_by_clst(block_t **block, exfat_bs_t *bs, 
     service_id_t service_id, bool fragmented, exfat_cluster_t fcl,
@@ -194,5 +194,5 @@
 	uint32_t max_clusters;
 	exfat_cluster_t c = EXFAT_CLST_FIRST;
-	errno_t rc;
+	int rc;
 
 	if (fcl < EXFAT_CLST_FIRST || fcl > DATA_CNT(bs) + 2)
@@ -227,7 +227,7 @@
  * @param value		Output argument holding the value of the cluster.
  *
- * @return		EOK or an error code.
- */
-errno_t
+ * @return		EOK or a negative error code.
+ */
+int
 exfat_get_cluster(exfat_bs_t *bs, service_id_t service_id,
     exfat_cluster_t clst, exfat_cluster_t *value)
@@ -235,5 +235,5 @@
 	block_t *b;
 	aoff64_t offset;
-	errno_t rc;
+	int rc;
 
 	offset = clst * sizeof(exfat_cluster_t);
@@ -257,7 +257,7 @@
  * @param value		Value to set the cluster with.
  *
- * @return		EOK on success or an error code.
- */
-errno_t
+ * @return		EOK on success or a negative error code.
+ */
+int
 exfat_set_cluster(exfat_bs_t *bs, service_id_t service_id,
     exfat_cluster_t clst, exfat_cluster_t value)
@@ -265,5 +265,5 @@
 	block_t *b;
 	aoff64_t offset;
-	errno_t rc;
+	int rc;
 
 	offset = clst * sizeof(exfat_cluster_t);
@@ -295,7 +295,7 @@
  *			will be returned.
  *
- * @return		EOK on success, an error code otherwise.
- */
-errno_t
+ * @return		EOK on success, a negative error code otherwise.
+ */
+int
 exfat_alloc_clusters(exfat_bs_t *bs, service_id_t service_id, unsigned nclsts,
     exfat_cluster_t *mcl, exfat_cluster_t *lcl)
@@ -304,5 +304,5 @@
 	unsigned found = 0;     /* top of the free cluster number stack */
 	exfat_cluster_t clst;
-	errno_t rc = EOK;
+	int rc = EOK;
 
 	lifo = (exfat_cluster_t *) malloc(nclsts * sizeof(exfat_cluster_t));
@@ -361,11 +361,11 @@
  * @param firstc	First cluster in the chain which is to be freed.
  *
- * @return		EOK on success or an error code.
- */
-errno_t
+ * @return		EOK on success or a negative return code.
+ */
+int
 exfat_free_clusters(exfat_bs_t *bs, service_id_t service_id, exfat_cluster_t firstc)
 {
 	exfat_cluster_t nextc;
-	errno_t rc;
+	int rc;
 
 	/* Mark all clusters in the chain as free */
@@ -394,7 +394,7 @@
  * @param lcl		Last cluster of the cluster chain to append.
  *
- * @return		EOK on success or an error code.
- */
-errno_t
+ * @return		EOK on success or a negative error code.
+ */
+int
 exfat_append_clusters(exfat_bs_t *bs, exfat_node_t *nodep, exfat_cluster_t mcl,
     exfat_cluster_t lcl)
@@ -402,5 +402,5 @@
 	service_id_t service_id = nodep->idx->service_id;
 	exfat_cluster_t lastc = 0;
-	errno_t rc;
+	int rc;
 
 	if (nodep->firstc == 0) {
@@ -438,9 +438,9 @@
  *			be chopped off.
  *
- * @return		EOK on success or an error code.
- */
-errno_t exfat_chop_clusters(exfat_bs_t *bs, exfat_node_t *nodep, exfat_cluster_t lcl)
-{
-	errno_t rc;
+ * @return		EOK on success or a negative return code.
+ */
+int exfat_chop_clusters(exfat_bs_t *bs, exfat_node_t *nodep, exfat_cluster_t lcl)
+{
+	int rc;
 	service_id_t service_id = nodep->idx->service_id;
 
@@ -486,10 +486,10 @@
 }
 
-errno_t
+int
 exfat_zero_cluster(exfat_bs_t *bs, service_id_t service_id, exfat_cluster_t c)
 {
 	size_t i;
 	block_t *b;
-	errno_t rc;
+	int rc;
 
 	for (i = 0; i < SPC(bs); i++) {
@@ -508,10 +508,10 @@
 }
 
-errno_t
+int
 exfat_read_uctable(exfat_bs_t *bs, exfat_node_t *nodep, uint8_t *uctable)
 {
 	size_t i, blocks, count;
 	block_t *b;
-	errno_t rc;
+	int rc;
 	blocks = ROUND_UP(nodep->size, BPS(bs))/BPS(bs);
 	count = BPS(bs);
@@ -540,5 +540,5 @@
  * does not contain a exfat file system.
  */
-errno_t exfat_sanity_check(exfat_bs_t *bs)
+int exfat_sanity_check(exfat_bs_t *bs)
 {
 	if (str_cmp((char const *)bs->oem_name, "EXFAT   "))
Index: uspace/srv/fs/exfat/exfat_fat.h
===================================================================
--- uspace/srv/fs/exfat/exfat_fat.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/exfat/exfat_fat.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -61,27 +61,27 @@
     exfat_cluster_walk((bs), (sid), (fc), NULL, (numc), (uint32_t) -1)
 
-extern errno_t exfat_cluster_walk(struct exfat_bs *, service_id_t,
+extern int exfat_cluster_walk(struct exfat_bs *, service_id_t, 
     exfat_cluster_t, exfat_cluster_t *, uint32_t *, uint32_t);
-extern errno_t exfat_block_get(block_t **, struct exfat_bs *, struct exfat_node *,
+extern int exfat_block_get(block_t **, struct exfat_bs *, struct exfat_node *,
     aoff64_t, int);
-extern errno_t exfat_block_get_by_clst(block_t **, struct exfat_bs *, service_id_t,
+extern int exfat_block_get_by_clst(block_t **, struct exfat_bs *, service_id_t,
     bool, exfat_cluster_t, exfat_cluster_t *, aoff64_t, int);
 
-extern errno_t exfat_get_cluster(struct exfat_bs *, service_id_t, exfat_cluster_t,
+extern int exfat_get_cluster(struct exfat_bs *, service_id_t, exfat_cluster_t,
     exfat_cluster_t *);
-extern errno_t exfat_set_cluster(struct exfat_bs *, service_id_t, exfat_cluster_t,
+extern int exfat_set_cluster(struct exfat_bs *, service_id_t, exfat_cluster_t,
     exfat_cluster_t);
-extern errno_t exfat_sanity_check(struct exfat_bs *);
+extern int exfat_sanity_check(struct exfat_bs *);
 
-extern errno_t exfat_append_clusters(struct exfat_bs *, struct exfat_node *,
+extern int exfat_append_clusters(struct exfat_bs *, struct exfat_node *,
     exfat_cluster_t, exfat_cluster_t);
-extern errno_t exfat_chop_clusters(struct exfat_bs *, struct exfat_node *,
+extern int exfat_chop_clusters(struct exfat_bs *, struct exfat_node *,
     exfat_cluster_t);
-extern errno_t exfat_alloc_clusters(struct exfat_bs *, service_id_t, unsigned,
+extern int exfat_alloc_clusters(struct exfat_bs *, service_id_t, unsigned,
     exfat_cluster_t *, exfat_cluster_t *);
-extern errno_t exfat_free_clusters(struct exfat_bs *, service_id_t, exfat_cluster_t);
-extern errno_t exfat_zero_cluster(struct exfat_bs *, service_id_t, exfat_cluster_t);
+extern int exfat_free_clusters(struct exfat_bs *, service_id_t, exfat_cluster_t);
+extern int exfat_zero_cluster(struct exfat_bs *, service_id_t, exfat_cluster_t);
 
-extern errno_t exfat_read_uctable(struct exfat_bs *, struct exfat_node *,
+extern int exfat_read_uctable(struct exfat_bs *, struct exfat_node *,
     uint8_t *);
 
Index: uspace/srv/fs/exfat/exfat_idx.c
===================================================================
--- uspace/srv/fs/exfat/exfat_idx.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/exfat/exfat_idx.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -328,5 +328,5 @@
 }
 
-static errno_t exfat_idx_create(exfat_idx_t **fidxp, service_id_t service_id)
+static int exfat_idx_create(exfat_idx_t **fidxp, service_id_t service_id)
 {
 	exfat_idx_t *fidx;
@@ -350,8 +350,8 @@
 }
 
-errno_t exfat_idx_get_new(exfat_idx_t **fidxp, service_id_t service_id)
+int exfat_idx_get_new(exfat_idx_t **fidxp, service_id_t service_id)
 {
 	exfat_idx_t *fidx;
-	errno_t rc;
+	int rc;
 
 	fibril_mutex_lock(&used_lock);
@@ -386,5 +386,5 @@
 		fidx = hash_table_get_inst(l, exfat_idx_t, uph_link);
 	} else {
-		errno_t rc;
+		int rc;
 
 		rc = exfat_idx_create(&fidx, service_id);
@@ -468,5 +468,5 @@
 }
 
-errno_t exfat_idx_init(void)
+int exfat_idx_init(void)
 {
 	if (!hash_table_create(&up_hash, 0, 0, &uph_ops)) 
@@ -487,8 +487,8 @@
 }
 
-errno_t exfat_idx_init_by_service_id(service_id_t service_id)
+int exfat_idx_init_by_service_id(service_id_t service_id)
 {
 	unused_t *u;
-	errno_t rc = EOK;
+	int rc = EOK;
 
 	u = (unused_t *) malloc(sizeof(unused_t));
Index: uspace/srv/fs/exfat/exfat_ops.c
===================================================================
--- uspace/srv/fs/exfat/exfat_ops.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/fs/exfat/exfat_ops.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -72,14 +72,14 @@
  */
 
-static errno_t exfat_root_get(fs_node_t **, service_id_t);
-static errno_t exfat_match(fs_node_t **, fs_node_t *, const char *);
-static errno_t exfat_node_get(fs_node_t **, service_id_t, fs_index_t);
-static errno_t exfat_node_open(fs_node_t *);
-/* static errno_t exfat_node_put(fs_node_t *); */
-static errno_t exfat_create_node(fs_node_t **, service_id_t, int);
-static errno_t exfat_destroy_node(fs_node_t *);
-static errno_t exfat_link(fs_node_t *, fs_node_t *, const char *);
-static errno_t exfat_unlink(fs_node_t *, fs_node_t *, const char *);
-static errno_t exfat_has_children(bool *, fs_node_t *);
+static int exfat_root_get(fs_node_t **, service_id_t);
+static int exfat_match(fs_node_t **, fs_node_t *, const char *);
+static int exfat_node_get(fs_node_t **, service_id_t, fs_index_t);
+static int exfat_node_open(fs_node_t *);
+/* static int exfat_node_put(fs_node_t *); */
+static int exfat_create_node(fs_node_t **, service_id_t, int);
+static int exfat_destroy_node(fs_node_t *);
+static int exfat_link(fs_node_t *, fs_node_t *, const char *);
+static int exfat_unlink(fs_node_t *, fs_node_t *, const char *);
+static int exfat_has_children(bool *, fs_node_t *);
 static fs_index_t exfat_index_get(fs_node_t *);
 static aoff64_t exfat_size_get(fs_node_t *);
@@ -88,7 +88,7 @@
 static bool exfat_is_file(fs_node_t *node);
 static service_id_t exfat_service_get(fs_node_t *node);
-static errno_t exfat_size_block(service_id_t, uint32_t *);
-static errno_t exfat_total_block_count(service_id_t, uint64_t *);
-static errno_t exfat_free_block_count(service_id_t, uint64_t *);
+static int exfat_size_block(service_id_t, uint32_t *);
+static int exfat_total_block_count(service_id_t, uint64_t *);
+static int exfat_free_block_count(service_id_t, uint64_t *);
 
 /*
@@ -114,7 +114,7 @@
 }
 
-static errno_t exfat_node_sync(exfat_node_t *node)
-{
-	errno_t rc;
+static int exfat_node_sync(exfat_node_t *node)
+{
+	int rc;
 	exfat_directory_t di;
 	exfat_file_dentry_t df;
@@ -155,7 +155,7 @@
 }
 
-static errno_t exfat_node_fini_by_service_id(service_id_t service_id)
-{
-	errno_t rc;
+static int exfat_node_fini_by_service_id(service_id_t service_id)
+{
+	int rc;
 
 	/*
@@ -211,9 +211,9 @@
 }
 
-static errno_t exfat_node_get_new(exfat_node_t **nodepp)
+static int exfat_node_get_new(exfat_node_t **nodepp)
 {
 	fs_node_t *fn;
 	exfat_node_t *nodep;
-	errno_t rc;
+	int rc;
 
 	fibril_mutex_lock(&ffn_mutex);
@@ -269,5 +269,5 @@
 }
 
-static errno_t exfat_node_get_new_by_pos(exfat_node_t **nodepp, 
+static int exfat_node_get_new_by_pos(exfat_node_t **nodepp, 
     service_id_t service_id, exfat_cluster_t pfc, unsigned pdi)
 {
@@ -287,10 +287,10 @@
  * @param idxp		Locked index structure.
  */
-static errno_t exfat_node_get_core(exfat_node_t **nodepp, exfat_idx_t *idxp)
+static int exfat_node_get_core(exfat_node_t **nodepp, exfat_idx_t *idxp)
 {
 	exfat_dentry_t *d;
 	exfat_node_t *nodep = NULL;
 	exfat_directory_t di;
-	errno_t rc;
+	int rc;
 
 	if (idxp->nodep) {
@@ -398,9 +398,9 @@
 }
 
-errno_t exfat_node_expand(service_id_t service_id, exfat_node_t *nodep,
+int exfat_node_expand(service_id_t service_id, exfat_node_t *nodep,
     exfat_cluster_t clusters)
 {
 	exfat_bs_t *bs;
-	errno_t rc;
+	int rc;
 	bs = block_bb_get(service_id);
 
@@ -443,9 +443,9 @@
 }
 
-static errno_t exfat_node_shrink(service_id_t service_id, exfat_node_t *nodep,
+static int exfat_node_shrink(service_id_t service_id, exfat_node_t *nodep,
     aoff64_t size)
 {
 	exfat_bs_t *bs;
-	errno_t rc;
+	int rc;
 	bs = block_bb_get(service_id);
 
@@ -491,15 +491,15 @@
  */
 
-errno_t exfat_root_get(fs_node_t **rfn, service_id_t service_id)
+int exfat_root_get(fs_node_t **rfn, service_id_t service_id)
 {
 	return exfat_node_get(rfn, service_id, EXFAT_ROOT_IDX);
 }
 
-errno_t exfat_bitmap_get(fs_node_t **rfn, service_id_t service_id)
+int exfat_bitmap_get(fs_node_t **rfn, service_id_t service_id)
 {
 	return exfat_node_get(rfn, service_id, EXFAT_BITMAP_IDX);
 }
 
-errno_t exfat_uctable_get(fs_node_t **rfn, service_id_t service_id)
+int exfat_uctable_get(fs_node_t **rfn, service_id_t service_id)
 {
 	return exfat_node_get(rfn, service_id, EXFAT_UCTABLE_IDX);
@@ -507,5 +507,5 @@
 
 
-errno_t exfat_match(fs_node_t **rfn, fs_node_t *pfn, const char *component)
+int exfat_match(fs_node_t **rfn, fs_node_t *pfn, const char *component)
 {
 	exfat_node_t *parentp = EXFAT_NODE(pfn);
@@ -514,5 +514,5 @@
 	exfat_stream_dentry_t ds;
 	service_id_t service_id;
-	errno_t rc;
+	int rc;
 
 	fibril_mutex_lock(&parentp->idx->lock);
@@ -565,9 +565,9 @@
 
 /** Instantiate a exFAT in-core node. */
-errno_t exfat_node_get(fs_node_t **rfn, service_id_t service_id, fs_index_t index)
+int exfat_node_get(fs_node_t **rfn, service_id_t service_id, fs_index_t index)
 {
 	exfat_node_t *nodep;
 	exfat_idx_t *idxp;
-	errno_t rc;
+	int rc;
 
 	idxp = exfat_idx_get_by_index(service_id, index);
@@ -584,5 +584,5 @@
 }
 
-errno_t exfat_node_open(fs_node_t *fn)
+int exfat_node_open(fs_node_t *fn)
 {
 	/*
@@ -593,5 +593,5 @@
 }
 
-errno_t exfat_node_put(fs_node_t *fn)
+int exfat_node_put(fs_node_t *fn)
 {
 	if (fn == NULL)
@@ -625,10 +625,10 @@
 }
 
-errno_t exfat_create_node(fs_node_t **rfn, service_id_t service_id, int flags)
+int exfat_create_node(fs_node_t **rfn, service_id_t service_id, int flags)
 {
 	exfat_idx_t *idxp;
 	exfat_node_t *nodep;
 	exfat_bs_t *bs;
-	errno_t rc;
+	int rc;
 
 	bs = block_bb_get(service_id);
@@ -677,10 +677,10 @@
 }
 
-errno_t exfat_destroy_node(fs_node_t *fn)
+int exfat_destroy_node(fs_node_t *fn)
 {
 	exfat_node_t *nodep = EXFAT_NODE(fn);
 	exfat_bs_t *bs;
 	bool has_children;
-	errno_t rc;
+	int rc;
 
 	/*
@@ -718,10 +718,10 @@
 }
 
-errno_t exfat_link(fs_node_t *pfn, fs_node_t *cfn, const char *name)
+int exfat_link(fs_node_t *pfn, fs_node_t *cfn, const char *name)
 {
 	exfat_node_t *parentp = EXFAT_NODE(pfn);
 	exfat_node_t *childp = EXFAT_NODE(cfn);
 	exfat_directory_t di;
-	errno_t rc;
+	int rc;
 
 	fibril_mutex_lock(&childp->lock);
@@ -783,10 +783,10 @@
 }
 
-errno_t exfat_unlink(fs_node_t *pfn, fs_node_t *cfn, const char *nm)
+int exfat_unlink(fs_node_t *pfn, fs_node_t *cfn, const char *nm)
 {
 	exfat_node_t *parentp = EXFAT_NODE(pfn);
 	exfat_node_t *childp = EXFAT_NODE(cfn);
 	bool has_children;
-	errno_t rc;
+	int rc;
 
 	if (!parentp)
@@ -838,10 +838,10 @@
 }
 
-errno_t exfat_has_children(bool *has_children, fs_node_t *fn)
+int exfat_has_children(bool *has_children, fs_node_t *fn)
 {
 	exfat_directory_t di;
 	exfat_dentry_t *d;
 	exfat_node_t *nodep = EXFAT_NODE(fn);
-	errno_t rc;
+	int rc;
 
 	*has_children = false;
@@ -915,5 +915,5 @@
 }
 
-errno_t exfat_size_block(service_id_t service_id, uint32_t *size)
+int exfat_size_block(service_id_t service_id, uint32_t *size)
 {
 	exfat_bs_t *bs;
@@ -924,5 +924,5 @@
 }
 
-errno_t exfat_total_block_count(service_id_t service_id, uint64_t *count)
+int exfat_total_block_count(service_id_t service_id, uint64_t *count)
 {
 	exfat_bs_t *bs;
@@ -933,5 +933,5 @@
 }
 
-errno_t exfat_free_block_count(service_id_t service_id, uint64_t *count)
+int exfat_free_block_count(service_id_t service_id, uint64_t *count)
 {
 	fs_node_t *node = NULL;
@@ -941,5 +941,5 @@
 	uint64_t block_count;
 	unsigned sector;
-	errno_t rc;
+	int rc;
 
 	rc = exfat_total_block_count(service_id, &block_count);
@@ -1015,8 +1015,8 @@
 };
 
-static errno_t exfat_fs_open(service_id_t service_id, enum cache_mode cmode,
+static int exfat_fs_open(service_id_t service_id, enum cache_mode cmode,
     fs_node_t **rrfn, exfat_idx_t **rridxp, vfs_fs_probe_info_t *info)
 {
-	errno_t rc;
+	int rc;
 	exfat_node_t *rootp = NULL, *bitmapp = NULL, *uctablep = NULL;
 	exfat_bs_t *bs;
@@ -1267,7 +1267,7 @@
 */
 
-static errno_t exfat_fsprobe(service_id_t service_id, vfs_fs_probe_info_t *info)
-{
-	errno_t rc;
+static int exfat_fsprobe(service_id_t service_id, vfs_fs_probe_info_t *info)
+{
+	int rc;
 	exfat_idx_t *ridxp;
 	fs_node_t *rfn;
@@ -1281,9 +1281,9 @@
 }
 
-static errno_t
+static int
 exfat_mounted(service_id_t service_id, const char *opts, fs_index_t *index,
     aoff64_t *size)
 {
-	errno_t rc;
+	int rc;
 	enum cache_mode cmode;
 	exfat_idx_t *ridxp;
@@ -1306,8 +1306,8 @@
 }
 
-static errno_t exfat_unmounted(service_id_t service_id)
+static int exfat_unmounted(service_id_t service_id)
 {
 	fs_node_t *rfn;
-	errno_t rc;
+	int rc;
 
 	rc = exfat_root_get(&rfn, service_id);
@@ -1319,5 +1319,5 @@
 }
 
-static errno_t
+static int
 exfat_read(service_id_t service_id, fs_index_t index, aoff64_t pos,
     size_t *rbytes)
@@ -1328,5 +1328,5 @@
 	size_t bytes = 0;
 	block_t *b;
-	errno_t rc;
+	int rc;
 
 	rc = exfat_node_get(&fn, service_id, index);
@@ -1438,13 +1438,13 @@
 }
 
-static errno_t exfat_close(service_id_t service_id, fs_index_t index)
-{
-	return EOK;
-}
-
-static errno_t exfat_sync(service_id_t service_id, fs_index_t index)
+static int exfat_close(service_id_t service_id, fs_index_t index)
+{
+	return EOK;
+}
+
+static int exfat_sync(service_id_t service_id, fs_index_t index)
 {
 	fs_node_t *fn;
-	errno_t rc = exfat_node_get(&fn, service_id, index);
+	int rc = exfat_node_get(&fn, service_id, index);
 	if (rc != EOK)
 		return rc;
@@ -1461,5 +1461,5 @@
 }
 
-static errno_t
+static int
 exfat_write(service_id_t service_id, fs_index_t index, aoff64_t pos,
     size_t *wbytes, aoff64_t *nsize)
@@ -1472,5 +1472,5 @@
 	aoff64_t boundary;
 	int flags = BLOCK_FLAGS_NONE;
-	errno_t rc;
+	int rc;
 
 	rc = exfat_node_get(&fn, service_id, index);
@@ -1548,5 +1548,5 @@
 }
 
-static errno_t
+static int
 exfat_truncate(service_id_t service_id, fs_index_t index, aoff64_t size)
 {
@@ -1554,5 +1554,5 @@
 	exfat_node_t *nodep;
 	exfat_bs_t *bs;
-	errno_t rc;
+	int rc;
 
 	rc = exfat_node_get(&fn, service_id, index);
@@ -1584,5 +1584,5 @@
 	}
 
-	errno_t rc2 = exfat_node_put(fn);
+	int rc2 = exfat_node_put(fn);
 	if (rc == EOK && rc2 != EOK)
 		rc = rc2;
@@ -1591,9 +1591,9 @@
 }
 
-static errno_t exfat_destroy(service_id_t service_id, fs_index_t index)
+static int exfat_destroy(service_id_t service_id, fs_index_t index)
 {
 	fs_node_t *fn;
 	exfat_node_t *nodep;
-	errno_t rc;
+	int rc;
 
 	rc = exfat_node_get(&fn, service_id, index);
